image: node:12.18-stretch

stages:
  - test

cache:
  # Cache according to the branch/tag name
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules


Build & Test:
  stage: test
  script:
    - npm ci
    - npm run test
  tags:
    - docker

# For this you must define a new scheduled pipeline in
# https://gitlab.dev.cncc.fr/<group>/<project>/pipeline_schedules/
security-check:on-schedule:
  tags:
    - docker
  only:
    - schedules
  script:
    - npm audit

include:
  - template: Security/SAST.gitlab-ci.yml
# vim: ts=2 sts=2 sw=2 expandtab
